Skip to main content
`Ctrl`+`K`

# PetscStrstr

Locates first occurrence of string in another string

## Synopsis

    static inline PetscErrorCode PetscStrstr(const char haystack[], const char needle[], char *tmp[]) PeNS

Not Collective, No Fortran Support

## Input Parameters

- haystack - string to search

- needle - string to find

## Output Parameter

- tmp - location of `needle` within `haystack`, `NULL` if `needle` is not found

## See Also

`PetscStrbeginswithwhich()`, `PetscStrendswith()`, `PetscStrtoupper`, `PetscStrtolower()`, `PetscStrrchr()`, `PetscStrchr()`, `PetscStrncmp()`, `PetscStrlen()`, `PetscStrcmp()`

## Level

intermediate

## Location

include/petscstring.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages